--sname,partcount
SELECT DISTINCT S.Sname, count(*) AS PartCount
   FROM Suppliers S NATURAL JOIN Parts NATURAL JOIN Catalog
   WHERE NOT EXISTS 
              (SELECT Color FROM
                  Parts P2 NATURAL JOIN Catalog C2 
               WHERE S.Sid = C2.Sid AND Color <> 'Green')
GROUP BY S.sname, S.sid 
