--sid,pname,cost
select GPS.sid, P2.Pname, C.cost from 
  Parts P2 , (SELECT C2.sid FROM 
	 Catalog C2 NATURAL JOIN Parts P
	 WHERE P.color = 'Green'
	INTERSECT
	 SELECT C2.sid FROM 
	 Catalog C2 NATURAL JOIN Parts P
	 WHERE P.color = 'Red'
 	) as GPS, Catalog C
   where GPS.sid = C.sid and P2.pid = C.pid and 
	 C.Cost = (
            select max(C3.Cost) 
            FROM Catalog C3
            WHERE C3.sid = C.sid)
	

