--pname
SELECT P.pname
   FROM Parts P, Catalog C, Suppliers S
   WHERE P.pid = C.pid AND C.sid = S.sid
         AND S.sname = 'Acme Widget Suppliers'
         AND NOT EXISTS ( 
                      SELECT *
                         FROM Catalog C1, Suppliers S1
                         WHERE P.pid = C1.pid AND
                               C1.sid = S1.sid AND 
                               S1.sname <> 'Acme Widget Suppliers')
