-- sid1,sid2
SELECT S1.sid, S2.sid FROM 
   supplier S1, supplier S2 --create crossproduct
   where S1.sid <> S2.sid 
   AND
     NOT EXISTS  -- make sure s1 supplies part by s2
        (
          select pid from SPJ 
          where S2.sid = SPJ.sid
         EXCEPT
          select pid from SPJ 
          where S1.sid = SPJ.sid
        )
   AND
     NOT EXISTS  -- make sure s2 supplies parts by s2
        (
          select pid from SPJ 
          where S1.sid = SPJ.sid
         EXCEPT
          select pid from SPJ 
          where S2.sid = SPJ.sid
        )
        

