-- 5.2
drop table Catalog;
drop table Suppliers;
drop table Parts;


CREATE TABLE Suppliers (
	sid     integer,
	sname   char(40),
	address char(50),
	primary key (sid)
);


CREATE TABLE Parts (
	pid     integer,
	pname   char(40),
	color   char(20),
	primary key (pid)
);

CREATE TABLE Catalog (
	sid     integer,
	pid     integer,
	cost    real,
	primary key (sid, pid),
	foreign key (sid) references Suppliers,
	foreign key (pid) references Parts
);
