-- 5.2
drop table Emp;
drop table Works;
drop table Dept;


CREATE TABLE Emp (
	eid     integer,
	ename   char(40),
	age     char(50),
	salary  real,
	primary key (eid)
);


CREATE TABLE Works (
	eid     integer,
	did     integer,
	pct_time   integer,
	primary key (eid,did)
);

CREATE TABLE Dept (
	did     integer,
	dname   CHAR(40),
	budget  real,
	managerid integer,
	primary key (did),
	foreign key (managerid) references Emp
);

grant select on Emp to public;
grant select on Works to public;
grant select on Dept to public;
