drop table spj;
drop table supplier;
drop table project;
drop table part;



CREATE TABLE Supplier(
	sid     integer,
	sname   char(40),
        status  char(10),
	city    char(50),
	primary key (sid)
);


CREATE TABLE Part (
	pid     integer,
	pname   char(40),
	color   char(20),
        weight  real,
        city    char(50),
	primary key (pid)
);


CREATE TABLE Project(
	jid     integer,
	jname   char(40),
	city    char(50),
	primary key (jid)
);


CREATE TABLE SPJ (
	sid     integer,
	pid     integer,
	jid     integer,
	qty     real,
	primary key (sid, pid, jid),
	foreign key (sid) references Supplier,
	foreign key (pid) references Part,
	foreign key (jid) references Project
);

