
SELECT DISTINCT E.ename, D.budget, dname
   FROM Emp E, Dept D
   WHERE E.eid = D.managerid AND
	NOT EXISTS (select D2.managerid
            	       FROM Dept D2
                       WHERE D2.managerid = E.eid AND
                             D2.budget < 1e6)
        AND
	EXISTS (select D2.managerid
            	       FROM Dept D2
                       WHERE D2.managerid = E.eid AND
                             D2.budget < 5e6)

--GROUP BY E.eid, E.ename, budget
--HAVING D.budget > 1000000
